Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
proofs::PdqHash Class Reference

## Data Structures
struct | kv

## Public Types
using | value_t = uint32_t

## Public Member Functions
| DEFINE_STRONG_INT_TYPE (stored_key_t, uint32_t)
void | insert (uint64_t k64, value_t v)
size_t | find (uint64_t k64, const std::function< bool(value_t)> &pred)

## Static Public Member Functions
static stored_key_t | narrow (uint64_t k)

## Static Public Attributes
static const constexpr value_t | kNil = ~static_cast<value_t>(0)

The documentation for this class was generated from the following file:

- lib/circuits/compiler/pdqhash.h